#This program is used to generate pbs files for the reduced model (with six molecules)

import sys
import string
import os

#create pbs file for molecule c2h2 
file = open("c2h2.pbs","w")                                  
file.write("#!/bin/bash -l\n")            
file.write("#\n")
file.write("# job: c2h2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   qsub c2h2.pbs\n")
file.write("\n")
file.write("#PBS -m n\n")
file.write("#PBS -l nodes=1:ppn=8\n")    # number of node and processors
file.write("#PBS -l walltime=1:00:00\n") # walltime needed to run this job
file.write("#PBS -l mem=60000mb\n")      # memories needed to run this job
file.write("#PBS -e c2h2.e\n")           
file.write("#PBS -e c2h2.o\n")
file.write("#PBS -q mesabi\n")           # name of the machine we are running on MSI, yours may differ
file.write("#\n")
file.write("\n")
file.write("cd $PBS_O_WORKDIR\n")        # current directory 
file.write("\n")
file.write("module load gaussian/g09.d01\n")  # download gaussian software, yours may differ
file.write("/usr/bin/time g09 < c2h2.com >& c2h2.out\n") # run the input file c2h2.com
file.write("\n")
file.close()

#create pbs file for molecule ch4
file = open("ch4.pbs","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: ch4 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   qsub ch4.pbs\n")
file.write("\n")
file.write("#PBS -m n\n")
file.write("#PBS -l nodes=1:ppn=8\n")
file.write("#PBS -l walltime=1:00:00\n")
file.write("#PBS -l mem=60000mb\n")
file.write("#PBS -e ch4.e\n")
file.write("#PBS -e ch4.o\n")
file.write("#PBS -q mesabi\n")
file.write("#\n")
file.write("\n")
file.write("cd $PBS_O_WORKDIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("/usr/bin/time g09 < ch4.com >& ch4.out\n")
file.write("\n")
file.close()

#create pbs file for molecule h2o
file = open("h2o.pbs","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2o \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   qsub h2o.pbs\n")
file.write("\n")
file.write("#PBS -m n\n")
file.write("#PBS -l nodes=1:ppn=8\n")
file.write("#PBS -l walltime=1:00:00\n")
file.write("#PBS -l mem=60000mb\n")
file.write("#PBS -e h2o.e\n")
file.write("#PBS -e h2o.o\n")
file.write("#PBS -q mesabi\n")
file.write("#\n")
file.write("\n")
file.write("cd $PBS_O_WORKDIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("/usr/bin/time g09 < h2o.com >& h2o.out\n")
file.write("\n")
file.close()

#create pbs file for molecule h2co
file = open("h2co.pbs","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2co \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   qsub h2co.pbs\n")
file.write("\n")
file.write("#PBS -m n\n")
file.write("#PBS -l nodes=1:ppn=8\n")
file.write("#PBS -l walltime=1:00:00\n")
file.write("#PBS -l mem=60000mb\n")
file.write("#PBS -e h2co.e\n")
file.write("#PBS -e h2co.o\n")
file.write("#PBS -q mesabi\n")
file.write("#\n")
file.write("\n")
file.write("cd $PBS_O_WORKDIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("/usr/bin/time g09 < h2co.com >& h2co.out\n")
file.write("\n")
file.close()

#create pbs file for molecule n2o
file = open("n2o.pbs","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: n2o \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   qsub n2o.pbs\n")
file.write("\n")
file.write("#PBS -m n\n")
file.write("#PBS -l nodes=1:ppn=8\n")
file.write("#PBS -l walltime=1:00:00\n")
file.write("#PBS -l mem=60000mb\n")
file.write("#PBS -e n2o.e\n")
file.write("#PBS -e n2o.o\n")
file.write("#PBS -q mesabi\n")
file.write("#\n")
file.write("\n")
file.write("cd $PBS_O_WORKDIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("/usr/bin/time g09 < n2o.com >& n2o.out\n")
file.write("\n")
file.close()

#create pbs file for molecule nh3
file = open("nh3.pbs","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: nh3 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   qsub nh3.pbs\n")
file.write("\n")
file.write("#PBS -m n\n")
file.write("#PBS -l nodes=1:ppn=8\n")
file.write("#PBS -l walltime=1:00:00\n")
file.write("#PBS -l mem=60000mb\n")
file.write("#PBS -e nh3.e\n")
file.write("#PBS -e nh3.o\n")
file.write("#PBS -q mesabi\n")
file.write("#\n")
file.write("\n")
file.write("cd $PBS_O_WORKDIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("/usr/bin/time g09 < nh3.com >& nh3.out\n")
file.write("\n")
file.close()

