#This program is used to generate slurm files for the full model (with 15 molecules)

import sys
import string
import os

#create slurm file for molecule c2h2
file = open("c2h2.slurm","w")                                 # create a file called c2h2.slurm                             
file.write("#!/bin/bash -l\n")                                      
file.write("#\n")                    
file.write("# job: c2h2 \n")               
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch c2h2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")              
file.write("#SBATCH --nodes=1 --ntasks=8\n")                      # number of node and processors
file.write("#SBATCH --time=1:00:00\n")                   # walltime needed to run this job
file.write("#SBATCH --mem=60000mb\n")                        # memory needed to run this job
file.write("#SBATCH --requeue\n")             
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")                             # name of the machine we use in MSI, yours may differ
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")               # download gaussian software, yours may differ
file.write("g09 < c2h2.com >& c2h2.out\n")   # run the input file, yours may differ
file.write("\n")
file.close()

#create slurm file for molecule ch4
file = open("ch4.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: ch4 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch ch4.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < ch4.com >& ch4.out\n")
file.write("\n")
file.close()

#create slurm file for molecule cl2
file = open("cl2.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: cl2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch cl2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < cl2.com >& cl2.out\n")
file.write("\n")
file.close()

#create slurm file for molecule co
file = open("co.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: co \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch co.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < co.com >& co.out\n")
file.write("\n")
file.close()

#create slurm file for molecule co2
file = open("co2.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: co2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch co2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < co2.com >& co2.out\n")
file.write("\n")
file.close()

#create slurm file for molecule f2
file = open("f2.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: f2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch f2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < f2.com >& f2.out\n")
file.write("\n")
file.close()

#create slurm file for molecule h2
file = open("h2.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch h2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < h2.com >& h2.out\n")
file.write("\n")
file.close()

#create slurm file for molecule h2o
file = open("h2o.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2o \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch h2o.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < h2o.com >& h2o.out\n")
file.write("\n")
file.close()

#create slurm file for molecule h2co
file = open("h2co.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2co \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch h2co.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < h2co.com >& h2co.out\n")
file.write("\n")
file.close()

#create slurm file for molecule hcn 
file = open("hcn.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: hcn \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch hcn.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < hcn.com >& hcn.out\n")
file.write("\n")
file.close()

#create slurm file for molecule hf
file = open("hf.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: hf \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch hf.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < hf.com >& hf.out\n")
file.write("\n")
file.close()

#create slurm file for molecule n2
file = open("n2.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: n2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch n2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < n2.com >& n2.out\n")
file.write("\n")
file.close()

#create slurm file for molecule n2o 
file = open("n2o.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: n2o \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch n2o.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < n2o.com >& n2o.out\n")
file.write("\n")
file.close()

#create slurm file for molecule nh3
file = open("nh3.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: nh3 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch nh3.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < nh3.com >& nh3.out\n")
file.write("\n")
file.close()

#create slurm file for molecule oh 
file = open("oh.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: oh \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch oh.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH -e oh.e\n")
file.write("#SBATCH -e oh.o\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("/usr/bin/time g09 < oh.com >& oh.out\n")
file.write("\n")
file.close()
















