#This program is used to generate slurm files for the reduced model (with six molecules)

import sys
import string
import os

#create slurm file for molecule c2h2 
file = open("c2h2.slurm","w")                                  
file.write("#!/bin/bash -l\n")            
file.write("#\n")
file.write("# job: c2h2 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch c2h2.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")    # number of node and processors
file.write("#SBATCH --time=1:00:00\n") # walltime needed to run this job
file.write("#SBATCH --mem=60000mb\n")      # memories needed to run this job
file.write("#SBATCH --requeue\n")           
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")           # name of the machine we are running on MSI, yours may differ
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")        # current directory 
file.write("\n")
file.write("module load gaussian/g09.d01\n")  # download gaussian software, yours may differ
file.write("g09 < c2h2.com >& c2h2.out\n") # run the input file c2h2.com
file.write("\n")
file.close()

#create slurm file for molecule ch4
file = open("ch4.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: ch4 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch ch4.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < ch4.com >& ch4.out\n")
file.write("\n")
file.close()

#create slurm file for molecule h2o
file = open("h2o.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2o \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch h2o.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < h2o.com >& h2o.out\n")
file.write("\n")
file.close()

#create slurm file for molecule h2co
file = open("h2co.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: h2co \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch h2co.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < h2co.com >& h2co.out\n")
file.write("\n")
file.close()

#create slurm file for molecule n2o
file = open("n2o.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: n2o \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch n2o.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < n2o.com >& n2o.out\n")
file.write("\n")
file.close()

#create slurm file for molecule nh3
file = open("nh3.slurm","w")
file.write("#!/bin/bash -l\n")
file.write("#\n")
file.write("# job: nh3 \n")
file.write("\n")
file.write("# qg09 version 1.0.10\n")
file.write("\n")
file.write("#To submit this script to the queue type:\n")
file.write("#   sbatch nh3.slurm\n")
file.write("\n")
file.write("#SBATCH --mail-type=ALL\n")
file.write("#SBATCH --nodes=1 --ntasks=8\n")
file.write("#SBATCH --time=1:00:00\n")
file.write("#SBATCH --mem=60000mb\n")
file.write("#SBATCH --requeue\n")
file.write("#SBATCH --export=NONE\n")
file.write("#SBATCH -p truh2high\n")
file.write("#\n")
file.write("\n")
file.write("cd $SLURM_SUBMIT_DIR\n")
file.write("\n")
file.write("module load gaussian/g09.d01\n")
file.write("g09 < nh3.com >& nh3.out\n")
file.write("\n")
file.close()

